Subject: Re: Problems with cvs and diff
From: [email-masked] (Jim Balter)

21 Mar 1997 08:06:06 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ken Miller <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Ken Miller wrote:
> 
> I recently installed cvs and the Cygnus Gnu utilties, and immediately
> ran into the following problem while trying to commit changes to a cvs
> archive:
> 
> [c:\src\logman]cvs commit
> cvs commit: Examining .
> cvs commit: Examining testing
> cvs commit: Committing .
> 
> Log message unchanged or not specified
> a)bort, c)ontinue, e)dit, !)reuse this message unchanged for remaining
> dirs
> Action: (continue)
> Checking in LogManager.cc;
> c:/src/cvsroot/LogMan/LogManager.cc,v  <--  LogManager.cc
> new revision: 1.6; previous revision: 1.5
> diff.exe: write error                      <------ ERROR HERE
> ci: c:/src/cvsroot/LogMan/LogManager.cc,v: diff failed
> ci aborted
> cvs commit: could not check in LogManager.cc
> 
> I looked at the diff source, and found that the problem occurs in the
> check_stdout() function in diff.c.  It is complaining that stdout is an
> invaild file handle.

How do you get that?  check_stdout prints "write error" if either there
was an I/O error on a previous write (in which case it is too late
to know what sort of error it was) or if fclose fails.  You couldn't
know that fclose failed with "invalid file handle" just looking at the
source.

> What gives with this?  I'm not sure how to fix the
> problem, so I'm wondering if anyone else out there is having the same
> problem.
> 
> I'm using CVS 1.9, RCS 5.7 and the latest Cygnus utilities from
> ftp.cygnus.com.
> 
> Anyone help?

Victor Griswold posted here about the work he did on RCS and CVS to
get them to work properly with cygwin, at least with binary files;
I don't recall whether he encountered other problems.  You might
check the archives.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".